<?php

namespace Quivers\Models\Settings;

use Doctrine\ORM\Mapping as ORM;
use Shopware\Components\Model\ModelEntity;

/**
 * @ORM\Entity()
 * @ORM\Table(name="quivers_settings")
 */
class QuiversSetting extends ModelEntity
{

    /**
     * Primary Key - autoincrement value
     *
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    public $id;

    /**
     * @var string
     * @ORM\Column(name="api_key", type="string")
     */
    public $apiKey;

    /**
     * @var string
     * @ORM\Column(name="business_RefId", type="string")
     */
    public $businessRefId;

    /**
     * @var string
     * @ORM\Column(name="base_url", type="string")
     */
    public $baseUrl;

    /**
     * @var string
     * @ORM\Column(name="basic_auth", type="string")
     */
    public $basicAuth;

    /**
     * @var bool
     * @ORM\Column(name="sandbox", type="boolean")
     */
    public $sandbox;

    /**
     * @var string
     * @ORM\Column(name="upc_field", type="string")
     */
    public $upcField;

    /**
     * @var bool
     * @ORM\Column(name="enable_plugin", type="boolean")
     */
    public $enablePlugin;


     /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getUpcField()
    {
        return $this->upcField;
    }

    /**
     * @param string $upcField
     */
    public function setUpcField($upcField)
    {
        $this->upcField = $upcField;
    }

    /**
     * @return string
     */
    public function getApiKey()
    {
        return $this->apiKey;
    }

    /**
     * @param string $apiKey
     */
    public function setApiKey($apiKey)
    {
        $this->apiKey = $apiKey;
    }

    /**
     * @return string
     */
    public function getbusinessRefId()
    {
        return $this->businessRefId;
    }

    /**
     * @param string $businessRefId
     */
    public function setbusinessRefId($businessRefId)
    {
        $this->businessRefId = $businessRefId;
    }

    /**
     * @return bool
     */
    public function getSandbox()
    {
        return $this->sandbox;
    }

    /**
     * @param bool $sandbox
     */
    public function setSandbox($sandbox)
    {
        $this->sandbox = $sandbox;
    }

    /**
     * @return string
     */
    public function getBaseUrl()
    {
        return $this->baseUrl;
    }

    /**
     * @param string $base_url
     */
    public function setBaseUrl($base_url)
    {
        $this->baseUrl = $base_url;
    }

    /**
     * @return string
     */
    public function getBasicAuth()
    {
        return $this->basicAuth;
    }

    /**
     * @param string $basicAuth
     */
    public function setBasicAuth($basicAuth)
    {
        $this->basicAuth = $basicAuth;
    }

    /**
     * @return bool
     */
    public function getEnablePlugin()
    {
        return $this->enablePlugin;
    }

    /**
     * @param bool $enablePlugin
     */
    public function setEnablePlugin($enablePlugin)
    {
        $this->enablePlugin = $enablePlugin;
    }
    /**
     * @return array
     */
    public function toArray()
    {
        return get_object_vars($this);
    }
}
